/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Wireless;

import java.util.ArrayList;

/**
 *
 * @author Administrador
 */
public class MobileSwitchingCenter {
    ArrayList<BaseStation> BSs = new ArrayList<BaseStation>(0);
    int ID;

    public void MobileSwitchingCenter(int ID)
    {
        this.ID = ID;
    }

    public void add_BS(BaseStation BS){
        int indice = -1;
        indice=BSs.indexOf(BS);
        if(indice==-1){
            BSs.add(BS);
        }else{
            BSs.remove(BS);
            BSs.add(BS);
        }
    }
    
    public BaseStation get_BS(int indice){
        return BSs.get(indice);
    }

    public int get_NBS(){
        return BSs.size();
    }

    public void analizar(){

    }
}
